MPD: command/PlaylistCommands.hxx File Reference

MPD 0.20.15

Functions
PlaylistCommands.hxx File Reference
`#include "CommandResult.hxx"`
`#include "Compiler.h"`
Include dependency graph for PlaylistCommands.hxx:

Go to the source code of this file.

## Functions
gcc_const bool | playlist_commands_available () noexcept
CommandResult | handle_save (Client &client, Request request, Response &response)
CommandResult | handle_load (Client &client, Request request, Response &response)
CommandResult | handle_listplaylist (Client &client, Request request, Response &response)
CommandResult | handle_listplaylistinfo (Client &client, Request request, Response &response)
CommandResult | handle_rm (Client &client, Request request, Response &response)
CommandResult | handle_rename (Client &client, Request request, Response &response)
CommandResult | handle_playlistdelete (Client &client, Request request, Response &response)
CommandResult | handle_playlistmove (Client &client, Request request, Response &response)
CommandResult | handle_playlistclear (Client &client, Request request, Response &response)
CommandResult | handle_playlistadd (Client &client, Request request, Response &response)
CommandResult | handle_listplaylists (Client &client, Request request, Response &response)

## Function Documentation

## ◆ handle_listplaylist()

CommandResult handle_listplaylist | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_listplaylistinfo()

CommandResult handle_listplaylistinfo | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_listplaylists()

CommandResult handle_listplaylists | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_load()

CommandResult handle_load | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistadd()

CommandResult handle_playlistadd | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistclear()

CommandResult handle_playlistclear | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistdelete()

CommandResult handle_playlistdelete | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistmove()

CommandResult handle_playlistmove | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_rename()

CommandResult handle_rename | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_rm()

CommandResult handle_rm | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_save()

CommandResult handle_save | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ playlist_commands_available()

gcc_const bool playlist_commands_available | ( |  | ) |
| noexcept